### org.jfree.layouting.input.style.selectors

# Class CSSSelectorFactory

- `java.lang.Object`
- - `org.jfree.layouting.input.style.selectors.CSSSelectorFactory`

Implemented Interfaces:
  SelectorFactory, Serializable

`public class CSSSelectorFactory`
`extends java.lang.Object`
`implements SelectorFactory, Serializable`

Creation-Date: 30.11.2005, 15:38:21

Author:
  Thomas Morgner

  ## Constructor Summary

  `CSSSelectorFactory()`

  ## Method Summary

  `SimpleSelector`

  `createAnyNodeSelector()`
    Creates an any node selector.

  `CharacterDataSelector`

  `createCDataSectionSelector(String data)`
    Creates a cdata section node selector.

  `DescendantSelector`

  `createChildSelector(Selector parent, SimpleSelector child)`
    Creates a child selector.

  `CharacterDataSelector`

  `createCommentSelector(String data)`
    Creates a comment node selector.

  `ConditionalSelector`

  `createConditionalSelector(SimpleSelector selector, Condition condition)`
    Creates a conditional selector.

  `DescendantSelector`

  `createDescendantSelector(Selector parent, SimpleSelector descendant)`
    Creates a descendant selector.

  `SiblingSelector`

  `createDirectAdjacentSelector(short nodeType, Selector child, SimpleSelector directAdjacent)`
    Creates a sibling selector.

  `ElementSelector`

  `createElementSelector(String namespaceURI, String tagName)`
    Creates an element selector.

  `NegativeSelector`

  `createNegativeSelector(SimpleSelector selector)`
    Creates an negative selector.

  `ProcessingInstructionSelector`

  `createProcessingInstructionSelector(String target, String data)`
    Creates a processing instruction node selector.

  `ElementSelector`

  `createPseudoElementSelector(String namespaceURI, String pseudoName)`
    Creates a pseudo element selector.

  `SimpleSelector`

  `createRootNodeSelector()`
    Creates an root node selector.

  `CharacterDataSelector`

  `createTextNodeSelector(String data)`
    Creates a text node selector.

## Constructor Details

### CSSSelectorFactory

    public CSSSelectorFactory()

## Method Details

### createAnyNodeSelector

    public SimpleSelector createAnyNodeSelector()
                throws CSSException

> Creates an any node selector.
> Returns:
>   the any node selector.

### createCDataSectionSelector

    public CharacterDataSelector createCDataSectionSelector(String data)
                throws CSSException

> Creates a cdata section node selector.
> Parameters:
>   `data` - the data
> Returns:
>   the cdata section node selector

### createChildSelector

    public DescendantSelector createChildSelector(Selector parent,
                                                  SimpleSelector child)
                throws CSSException

> Creates a child selector.
> Parameters:
>   `parent` - the parent selector
>   `child` - the child selector
> Returns:
>   the combinator selector.

### createCommentSelector

    public CharacterDataSelector createCommentSelector(String data)
                throws CSSException

> Creates a comment node selector.
> Parameters:
>   `data` - the data
> Returns:
>   the comment node selector

### createConditionalSelector

    public ConditionalSelector createConditionalSelector(SimpleSelector selector,
                                                         Condition condition)
                throws CSSException

> Creates a conditional selector.
> Parameters:
>   `selector` - a selector.
>   `condition` - a condition
> Returns:
>   the conditional selector.

### createDescendantSelector

    public DescendantSelector createDescendantSelector(Selector parent,
                                                       SimpleSelector descendant)
                throws CSSException

> Creates a descendant selector.
> Parameters:
>   `parent` - the parent selector
>   `descendant` - the descendant selector
> Returns:
>   the combinator selector.

### createDirectAdjacentSelector

    public SiblingSelector createDirectAdjacentSelector(short nodeType,
                                                        Selector child,
                                                        SimpleSelector directAdjacent)
                throws CSSException

> Creates a sibling selector.
> Parameters:
>   `nodeType` - the type of nodes in the siblings list.
>   `child` - the child selector
> Returns:
>   the sibling selector with nodeType equals to org.w3c.dom.Node.ELEMENT_NODE

### createElementSelector

    public ElementSelector createElementSelector(String namespaceURI,
                                                 String tagName)
                throws CSSException

> Creates an element selector.
> Parameters:
>   `namespaceURI` - the namespace URI of the element selector.
>   `tagName` - the local part of the element name. `NULL` if this element selector can match any element.
> Returns:
>   the element selector

### createNegativeSelector

    public NegativeSelector createNegativeSelector(SimpleSelector selector)
                throws CSSException

> Creates an negative selector.
> Parameters:
>   `selector` - a selector.
> Returns:
>   the negative selector.

### createProcessingInstructionSelector

    public ProcessingInstructionSelector createProcessingInstructionSelector(String target,
                                                                             String data)
                throws CSSException

> Creates a processing instruction node selector.
> Parameters:
>   `target` - the target
>   `data` - the data
> Returns:
>   the processing instruction node selector

### createPseudoElementSelector

    public ElementSelector createPseudoElementSelector(String namespaceURI,
                                                       String pseudoName)
                throws CSSException

> Creates a pseudo element selector.
> Parameters:
>   `pseudoName` - the pseudo element name. `NULL` if this element selector can match any pseudo element.
> Returns:
>   the element selector

### createRootNodeSelector

    public SimpleSelector createRootNodeSelector()
                throws CSSException

> Creates an root node selector.
> Returns:
>   the root node selector.

### createTextNodeSelector

    public CharacterDataSelector createTextNodeSelector(String data)
                throws CSSException

> Creates a text node selector.
> Parameters:
>   `data` - the data
> Returns:
>   the text node selector